LOCALE(1)

NOM
locale - Récupérer des informations des paramètres régionaux

SYNOPSIS
locale [ -a | -m]

locale [ -ck ] nom...

DESCRIPTION
Le programme locale affiche des informations pour la localisation (NdT : la localisation est aussi appelée paramètres régionaux, ou « locale » en anglais) en cours, ou pour toutes les localisations, sur la sortie standard.

Sans paramètre, locale résume les paramètres régionaux pour toutes les catégories définies par les variables d'environnement LC_*.

-a, --all-locales

	Afficher le nom des localisations disponibles.
-m, --charmaps

	Afficher le nom des jeux de caractères disponibles.

  Format de sortie :
-c, --category-name

	Afficher le nom des catégories sélectionnée.
-k, --keyword-name

	Afficher le nom et la valeur des mots clés sélectionnés.

VARIABLES D'ENVIRONNEMENT
Chacune de ces variables d'environnement modifie des catégories des paramètres régionaux pour tous les programmes qui gèrent la localisation :

LC_CTYPE

	Classification des caractères et conversion de casse.
LC_COLLATE

	Ordre de collation (tris et classements).
LC_TIME

	Format des dates et des heures.
LC_NUMERIC

	Formats des nombres non monétaires.
LC_MONETARY

	Formats monétaires.
LC_MESSAGES

	Formats des messages d'information et de diagnostic ainsi que
	des réponses interactives.
LC_PAPER

	Taille du papier.
LC_NAME

	Formats des noms.
LC_ADDRESS

	Formats des adresses et informations sur les lieux.
LC_TELEPHONE

	Formats des numéros de téléphone.
LC_MEASUREMENT

	Unités de mesure (métrique ou autre).
LC_IDENTIFICATION

	Donnée générale sur l'information de la locale.
Cette variable d'environnement permet de passer d'une base de données de paramètres régionaux à l'autre :

LOCPATH

	Le répertoire où les données des paramètres régionaux sont
	stockés. Par défaut, /usr/lib/locale est utilisé.

FICHIERS

/usr/share/i18n/SUPPORTED
    Liste des noms de locales gérés (et les encodages associés). Cette représentation est recommandée par rapport à celle de --all-locales, car il s'agit des valeurs gérées par le système.

AUTEUR
locale a été écrit par Ulrich Drepper pour la bibliothèque GNU C.
Cette page de manuel a été écrite par Joël Klecker <espy@debian.org>, pour la distribution Debian GNU/Linux et a été complétée par Alastair McKinstry <mckinstry@computer.org>.

VOIR AUSSI
locale(5), locale(7), setlocale(3)

TRADUCTION
Cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.